/*
 * NullSentenceDetector.java
 *
 * Copyright (c) 2007-2008 Colin Bayer, Douglas Downey, Oren Etzioni,
 *   University of Washington Computer Science and Engineering
 * 
 * See the file "COPYING" in the root directory of this distribution for
 * full licensing information.
 */

import opennlp.tools.sentdetect.SentenceDetector;

import java.util.ArrayList;

public class NullSentenceDetector implements SentenceDetector {
	
	public String[] sentDetect(String arg0) {
		return arg0.split("\\n+");
	}


	public int[] sentPosDetect(String arg0) {
		ArrayList<Integer> temp = new ArrayList<Integer>();
		
		for (int i = 0; i < arg0.length(); i++) {
			if (arg0.charAt(i) == '\n') {
				temp.add(i + 1);
			}
		}
		
		int[] rv = new int[temp.size()];
		
		for (int i = 0; i < temp.size(); i++) {
			rv[i] = temp.get(i);
		}
		
		return rv;
	}
}
