/*
 * NullTokenizer.java
 *
 * Copyright (c) 2007-2008 Colin Bayer, Douglas Downey, Oren Etzioni,
 *   University of Washington Computer Science and Engineering
 * 
 * See the file "COPYING" in the root directory of this distribution for
 * full licensing information.
 */

import java.util.ArrayList;

import opennlp.tools.tokenize.Tokenizer;
import opennlp.tools.util.Span;


public class NullTokenizer implements Tokenizer {
	
	public String[] tokenize(String arg0) {
		return arg0.split("\\s+");
	}

	public Span[] tokenizePos(String arg0) {
		ArrayList<Span> temp = new ArrayList<Span>();
		
		int tok_start = 0;
		boolean in_token = false;
		
		for (int i = 0; i < arg0.length(); i++) {
			if (in_token && Character.isWhitespace(arg0.charAt(i))) {
				in_token = false;
				temp.add(new Span(tok_start, i));
			} else if (!in_token && !Character.isWhitespace(arg0.charAt(i))) {
				tok_start = i;
				in_token = true;
			}
		}
		
		return temp.toArray(new Span[0]);
	}

}
